%define pkgname %(echo %name | cut -d- -f2)
Name:          python-pyOpenSSL
Version:       25.0.0
Release:       1mamba
Summary:       Python interface to the OpenSSL library
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.pyopenssl.org/en/stable/
Source:        https://pypi.debian.net/pyOpenSSL/pyopenssl-%{version}.tar.gz
License:       LGPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cryptography)
BuildRequires: python3.11dist(typing-extensions)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: python-pytest-py3
BuildRequires: python-flaky-py3
BuildRequires: python-pretend-py3
BuildRequires: elinks
BuildRequires: tetex-dvips 
BuildRequires: tetex-latex 
BuildRequires: latex2html

%description
Python wrapper around a small subset of the OpenSSL library. Includes: X509 Certificates, SSL Context objects, SSL Connection objects using Python sockets as transport layer. The Connection object wraps all the socket methods and can therefore be used in

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n pyopenssl-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

#% check
#PYTHONPATH="$PWD"/build/lib pytest -v \
#  --deselect tests/test_ssl.py::TestConnectionSendall::test_closed \
#  --deselect tests/test_ssl.py::TestConnection::test_shutdown_closed

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/OpenSSL
%{python_sitelib}/OpenSSL/*

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 25.0.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 24.3.0-1mamba
- update to 24.3.0

* Sun Feb 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.0.0-2mamba
- removed py310 build requirements

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 24.0.0-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 23.3.0-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 23.2.0-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Aug 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.2.0-2mamba
- rebuilt with cryptography 41.0.3

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 23.2.0-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 23.1.1-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 23.0.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2022 Automatic Build System <autodist@mambasoft.it> 22.1.0-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 22.0.0-1mamba
- automatic version update by autodist

* Sat Oct 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.0-1mamba
- update to 21.0.0

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.0.1-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 20.0.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 19.1.0-1mamba
- update to 19.1.0

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.5.0-1mamba
- automatic update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 17.4.0-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 17.3.0-1mamba
- automatic update by autodist

* Wed Oct 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.2.0-1mamba
- update to 16.2.0

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1-1mamba
- update to 0.15.1

* Sat Jun 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-2mamba
- python 2.7 mass rebuild

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic update by autodist

* Mon Dec 29 2008 gil <puntogil@libero.it> 0.8-2mamba
- rebuilt with python 2.6

* Tue Nov 18 2008 gil <puntogil@libero.it> 0.8-1mamba
- package created by autospec
